Name: x11-driver-input-evdev
Version: 2.10.5
Release: %mkrel 1
Summary: X.org input driver for Linux generic event devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/archive/individual/driver/xf86-input-evdev-%{version}.tar.bz2

License: MIT

BuildRequires: pkgconfig(libevdev)
BuildRequires: pkgconfig(mtdev)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: udev-devel
Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: x11-server < 1.4

Obsoletes: imwheel
Obsoletes: x11-driver-input-keyboard
Obsoletes: x11-driver-input-mouse

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.


%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-evdev-%{version}
%autopatch -p1

%build
%configure2_5x
%make_build

%install
%make_install

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%doc COPYING
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.4*
%{_datadir}/X11/xorg.conf.d/10-evdev.conf

%files devel
%doc COPYING
%{_libdir}/pkgconfig/xorg-evdev.pc
%{_includedir}/xorg/evdev-properties.h




%changelog
* Wed Jan 18 2017 tv <tv> 2.10.5-1.mga6
+ Revision: 1082222
- new release

* Sun Nov 27 2016 tv <tv> 2.10.4-4.mga6
+ Revision: 1070405
- package COPYING
- don't ship .la file
- use std macros

* Thu Nov 17 2016 tv <tv> 2.10.4-3.mga6
+ Revision: 1067723
- obsoletes x11-driver-input-keyboard + mouse

* Thu Nov 17 2016 tv <tv> 2.10.4-2.mga6
+ Revision: 1067654
- rebuild for xserver 1.19

* Tue Oct 04 2016 tv <tv> 2.10.4-1.mga6
+ Revision: 1058659
- new release

* Sat Jul 23 2016 tmb <tmb> 2.10.3-2.mga6
+ Revision: 1043332
- rebuild for xorg-server 1.18.4

* Thu Jun 02 2016 tv <tv> 2.10.3-1.mga6
+ Revision: 1019841
- new release

* Sun May 01 2016 tv <tv> 2.10.2-1.mga6
+ Revision: 1008493
- new release

* Sun Jan 10 2016 tv <tv> 2.10.1-1.mga6
+ Revision: 920962
- new release

* Wed Nov 11 2015 tv <tv> 2.10.0-4.mga6
+ Revision: 902257
- submit to core/release

* Tue Nov 10 2015 tv <tv> 2.10.0-3.mga6
+ Revision: 901407
- rebuild for new xserver

* Tue Nov 10 2015 tv <tv> 2.10.0-2.mga6
+ Revision: 901396
- rebuild for new xserver

* Thu Oct 29 2015 tv <tv> 2.10.0-1.mga6
+ Revision: 896495
- adjust file list
- BR pkgconfig(mtdev)
- new release
- new release

* Sat Jun 20 2015 tv <tv> 2.9.2-1.mga6
+ Revision: 836203
- new release

* Sat Jun 20 2015 tv <tv> 2.9.1-2.mga6
+ Revision: 835916
- rebuild for xserver 1.17

* Wed Nov 26 2014 tv <tv> 2.9.1-1.mga5
+ Revision: 799385
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.9.0-6.mga5
+ Revision: 750509
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.0-5.mga5
+ Revision: 690399
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 2.9.0-4.mga5
+ Revision: 634952
- submit to core/release

* Fri Jun 06 2014 tv <tv> 2.9.0-3.mga5
+ Revision: 633624
- rebuild for new xserver RC

* Fri Jun 06 2014 tv <tv> 2.9.0-2.mga5
+ Revision: 633610
- rebuild for new xserver RC

* Thu May 22 2014 tv <tv> 2.9.0-1.mga5
+ Revision: 624862
- new RC

* Tue Apr 29 2014 tv <tv> 2.8.99.1-1.mga5
+ Revision: 618814
- new release

* Tue Apr 15 2014 tv <tv> 2.8.2-4.mga5
+ Revision: 614296
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 2.8.2-3.mga5
+ Revision: 582180
- rebuild for new xserver

* Mon Oct 21 2013 umeabot <umeabot> 2.8.2-2.mga4
+ Revision: 540318
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 tv <tv> 2.8.2-1.mga4
+ Revision: 493535
- new release

* Sun Jul 14 2013 tv <tv> 2.8.1-1.mga4
+ Revision: 454114
- new release

* Thu May 30 2013 tv <tv> 2.8.0-4.mga4
+ Revision: 433093
- submit to core/release

* Fri May 24 2013 tv <tv> 2.8.0-3.mga4
+ Revision: 425673
- rebuild with xserver-1.14

* Fri May 24 2013 tv <tv> 2.8.0-2.mga4
+ Revision: 425645
- rebuild with xserver-1.14

* Thu May 23 2013 tv <tv> 2.8.0-1.mga4
+ Revision: 425565
- new release

* Mon Jan 14 2013 umeabot <umeabot> 2.7.3-3.mga4
+ Revision: 385924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 2.7.3-2.mga3
+ Revision: 288922
- rebuild for new xserver

* Tue Aug 21 2012 tv <tv> 2.7.3-1.mga3
+ Revision: 282871
- new release

* Sat Aug 04 2012 tv <tv> 2.7.2-1.mga3
+ Revision: 278434
- new release

* Tue Jul 24 2012 tv <tv> 2.7.1-1.mga3
+ Revision: 274096
- new release

* Wed Jun 06 2012 tmb <tmb> 2.7.0-4.mga3
+ Revision: 256317
- rebuild for core/release

* Fri Jun 01 2012 tmb <tmb> 2.7.0-3.mga3
+ Revision: 252904
- second rebuild for x11-server-1.12

* Wed May 30 2012 tv <tv> 2.7.0-2.mga3
+ Revision: 249819
- rebuild for new X.org server

* Fri Mar 09 2012 tv <tv> 2.7.0-1.mga2
+ Revision: 222301
- BuildRequires: udev-devel
- new release

* Tue Dec 06 2011 tmb <tmb> 2.6.0-6.mga2
+ Revision: 177436
- submit to core/release

* Sat Oct 08 2011 tv <tv> 2.6.0-5.mga2
+ Revision: 153309
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 2.6.0-4.mga2
+ Revision: 153293
- really rebuild for xserver-1.11

* Sat Oct 08 2011 colin <colin> 2.6.0-3.mga2
+ Revision: 153026
- Rebuild for new x11-server

* Fri Mar 04 2011 tv <tv> 2.6.0-2.mga1
+ Revision: 64372
- rebuild for new xserver-1.10

* Thu Jan 20 2011 pterjan <pterjan> 2.6.0-1.mga1
+ Revision: 25638
- imported package x11-driver-input-evdev

